package org.project.entity.players;

import org.project.item.weapons.Fireball;
import org.project.item.weapons.Weapon;

public class Wizard extends Player{
        private static int DEFAULT_HP = 90;
    private static int DEFAULT_MP = 90;
    private static Fireball DEFAULT_WEAPON = new Fireball();
    private static String DEFAULT_NAME = "Merlin";
    private static int DEFAULT_HEAL_MANA_COST = 25;
    private static int DEFAULT_DEFEND_MANA_COST = 25;

    public Wizard() {
        super(DEFAULT_NAME, DEFAULT_HP, DEFAULT_MP, DEFAULT_WEAPON,
                DEFAULT_HEAL_MANA_COST, DEFAULT_DEFEND_MANA_COST);
    }
    public Wizard(String name) {
        super(name, DEFAULT_HP, DEFAULT_MP, DEFAULT_WEAPON,
                DEFAULT_HEAL_MANA_COST, DEFAULT_DEFEND_MANA_COST);
    }

    public Wizard(String name, int hp, int mp, Weapon weapon,
                  int healManaCost, int defendManaCost) {
        super(name, hp, mp, weapon, healManaCost, defendManaCost);
    }



    @Override
    public String getType() {
        return "Wizard" ;
    }


}
